.th PERROR III 11/5/73
.sh NAME
perror, sys\*_errlist, sys\*_nerr, errno \*- system error messages
.sh SYNOPSIS
.ft B
perror(s)
.br
char *s;
.s3
int sys\*_nerr;
.br
char *sys\*_errlist[];
.s3
int errno;
.ft R
.br
.sh DESCRIPTION
.it Perror
produces a short error message
describing the last error encountered during a call
to the system from a C program.
First the argument string
.it s
is printed, then a colon, then the message and a new-line.
Most usefully, the argument string is the name
of the program which incurred the error.
The error number is taken from the external variable
.it errno,
which is set when errors occur but not cleared when
non-erroneous calls are made.
.s3
To simplify variant formatting
of messages, the vector of message strings
.it sys\*_errlist
is provided;
.it errno
can be used as an index in this table to get the
message string without the newline.
.it Sys\*_nerr
is the largest message number provided for in the table;
it should be checked because new
error codes may be added to the system before
they are added to the table.
.sh "SEE ALSO"
Introduction to System Calls
.sh BUGS
